org.apache.ignite.internal.processors.authentication

## Class User

- java.lang.Object
- - org.apache.ignite.internal.processors.authentication.User

All Implemented Interfaces:
  Serializable

    public class User
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Field Summary

Fields
`static String` `DFAULT_USER_NAME` Default user name.

### Constructor Summary

Constructors
Constructor and Description
`User()` Constructor.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `authorize(String passwd)`
`static User` `create(String name)` Create empty user by login name.
`static User` `create(String name, String passwd)` Create new user.
`static User` `defaultUser()` Create new user.
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `name()`
`static String` `password(String passwd)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DFAULT_USER_NAME

    public static final String DFAULT_USER_NAME

Default user name.

See Also:
  Constant Field Values

### Constructor Detail

#### User

    public User()

Constructor.

### Method Detail

#### name

    public String name()

Returns:
  User name.

#### create

    public static User create(String name,
                              String passwd)

Create new user.

Parameters:
  `name` - User name.
  `passwd` - Plain text password.
Returns:
  Created user.

#### create

    public static User create(String name)

Create empty user by login name.

Parameters:
  `name` - User name.
Returns:
  User.

#### defaultUser

    public static User defaultUser()

Create new user.

Returns:
  Created user.

#### password

    @Nullable
    public static String password(String passwd)

Parameters:
  `passwd` - Plain text password.
Returns:
  Hashed password.

#### authorize

    public boolean authorize(String passwd)

Parameters:
  `passwd` - Plain text password.
Returns:
  `true` If user authorized, otherwise returns `false`.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018